Subject: Re: [RFC] Make board force selection of PHYLIB

From: Scott Wood <[email-masked]>
Date: Tue, 03 Jun 2008 10:56:59 -0500

Kumar Gala wrote:
> I see.  However, I don't like the idea I have to build in the PHYLIB
> if I don't need it at all.

Understood, but in practice I don't think the 10K or so matters that
much on a typical 85xx board, and if the user really needs to trim
things down, they always have the option of manually ripping the phy
stuff out.

> It seems like the type of breakage you are talking about exists today
> all over the place.

It exists in a few places, but it's not that common, and often it's 
obvious what went wrong when the module won't load because some kernel 
hook didn't get built.  It's not a huge deal, but I'd rather avoid 
introducing another instance.

-Scott